Subject: Re: bug#21146: 25.0.50; Crash Emacs when S-TAB'ing in Org file

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 Jul 2015 13:24:50 +0300

> From: Sebastien Vauban <[email-masked]>
> Date: Tue, 28 Jul 2015 10:23:07 +0200
> 
> When S-TAB'ing in some Org files, I get a crash of Emacs 25.

Isn't that the same as bug #20179?

> I tried to get a backtrace but did not get far:

Small wonder:

> /cygdrive/d/Users/sva/.gdbinit:19: Error in sourced command file:
> No symbol table is loaded.  Use the "file" command.
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>[...]
> Reading symbols from /cygdrive/c/Program Files (x86)/emacs-trunk/bin/emacs.exe...(no debugging symbols found)...done.
    ^^^^^^^^^^^^^^^^^^^^^^^^^^
There are no symbols in this binary, so you cannot usefully debug it.

> warning: `/cygdrive/c/WINDOWS/SYSTEM32/ntdll.dll': Shared library architecture i386:x86-64 is not compatible with target architecture i386.

In addition, you are using a 64-bit Cygwin build of GDB:

> This GDB was configured as "x86_64-pc-cygwin".

to debug a 32-bit native Windows build of Emacs, and encounter
incompatibilities due to that.

> I'm not sure what to understand from the 4 warnings with Windows DLL.
> 
> And I don't understand those "cannot access memory". Any idea out there?

I hope you understand those now.

> "Hopefully", the problem seems reproducible. Apparently, I can
> systematically crash Emacs with at least one of my Org files.

A reproducible recipe, starting from "emacs -Q", together with an Org
file to use, will be greatly appreciated.